<?php
/*
Plugin Name: IMG RSS
Description: RSSに画像情報を非表示で追加
Version: 1.1
*/

function add_img_rss($content) {
    global $post;
    if(has_post_thumbnail($post->ID)) {
        $content = '<img src="'.get_the_post_thumbnail_url($post->ID).'" style="display:none">'.$content;
    }
    return $content;
}
add_filter('the_excerpt_rss', 'add_img_rss');
add_filter('the_content_feed', 'add_img_rss');
?>